# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/magnetometer/infineon,tlv493d-a1b6.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Infineon Technologies TLV493D Low-Power 3D Magnetic Sensor

maintainers:
  - Dixit Parmar <dixitparmar19@gmail.com>

properties:
  $nodename:
    pattern: '^magnetometer@[0-9a-f]+$'

  compatible:
    const: infineon,tlv493d-a1b6

  reg:
    maxItems: 1

  vdd-supply:
    description: 2.8V to 3.5V VDD supply

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg
  - vdd-supply

additionalProperties: false

examples:
  - |
    i2c {
      #address-cells = <1>;
      #size-cells = <0>;
      magnetometer@5e {
        compatible = "infineon,tlv493d-a1b6";
        reg = <0x5e>;
        vdd-supply = <&hall_vcc>;
      };
    };
